testing::internal::RE Class Reference

`#include <gtest.h>`

## Public Member Functions

| RE (const RE &other)
| RE (const ::std::string &regex)
| RE (const char *regex)
| ~RE ()
const char * | pattern () const

## Static Public Member Functions

static bool | FullMatch (const ::std::string &str, const RE &re)
static bool | PartialMatch (const ::std::string &str, const RE &re)
static bool | FullMatch (const char *str, const RE &re)
static bool | PartialMatch (const char *str, const RE &re)

## Detailed Description

Definition at line 1136 of file gtest.h.

## Constructor & Destructor Documentation

## RE() [1/3]

testing::internal::RE::RE | ( | const RE & | other | ) |

inline

Definition at line 1140 of file gtest.h.

## RE() [2/3]

testing::internal::RE::RE | ( | const ::std::string & | regex | ) |

inline

Definition at line 1143 of file gtest.h.

## RE() [3/3]

testing::internal::RE::RE | ( | const char * | regex | ) |

inline

Definition at line 1151 of file gtest.h.

## ~RE()

testing::internal::RE::~RE | ( |  | ) |

Definition at line 10308 of file gtest-all.cc.

## Member Function Documentation

## FullMatch() [1/2]

static bool testing::internal::RE::FullMatch | ( | const ::std::string & | str,
|  | const RE & | re
| ) |  |

inlinestatic

Definition at line 1161 of file gtest.h.

## FullMatch() [2/2]

bool testing::internal::RE::FullMatch | ( | const char * | str,
|  | const RE & | re
| ) |  |

static

Definition at line 10321 of file gtest-all.cc.

## PartialMatch() [1/2]

static bool testing::internal::RE::PartialMatch | ( | const ::std::string & | str,
|  | const RE & | re
| ) |  |

inlinestatic

Definition at line 1164 of file gtest.h.

## PartialMatch() [2/2]

bool testing::internal::RE::PartialMatch | ( | const char * | str,
|  | const RE & | re
| ) |  |

static

Definition at line 10330 of file gtest-all.cc.

## pattern()

const char* testing::internal::RE::pattern | ( |  | ) | const

inline

Definition at line 1155 of file gtest.h.

The documentation for this class was generated from the following files:

- test/eclipse-cygwin/lib/gtest/gtest.h
- test/eclipse-cygwin/lib/gtest/gtest-all.cc